define install_init
	$(INSTALL) -D -m 0755 $(1) $(STAGINGDIR)/etc_ro_fs/init.d/$(basename $(notdir $(1)))
	$(INSTALL) -d $(STAGINGDIR)/etc_ro_fs/rc1.d
	@if [ -n "$(2)" ]; then \
		ln -sf ../init.d/$(basename $(notdir $(1))) $(STAGINGDIR)/etc_ro_fs/rc1.d/S$(2)$(basename $(notdir $(1))) ; \
	fi;
	@if [ -n "$(3)" ]; then \
		echo "$(INSTALL) -d $(STAGINGDIR)/etc_ro_fs/rc6.d" ; \
		$(INSTALL) -d $(STAGINGDIR)/etc_ro_fs/rc6.d ; \
		echo "ln -sf ../init.d/$(basename$(notdir $(1))) $(STAGINGDIR)/etc_ro_fs/rc6.d/K$(3)$(basename$(notdir $(1)))" ; \
		ln -sf ../init.d/$(basename $(notdir $(1))) $(STAGINGDIR)/etc_ro_fs/rc6.d/K$(3)$(basename $(notdir $(1))); \
	fi;
endef
define install_init_release
	$(INSTALL) -D -m 0755 $(STAGINGDIR)/etc_ro_fs/init.d/$(basename $(notdir $(1))) $(ROOT_FS_DIR)/etc_ro_fs/init.d/$(basename $(notdir $(1)))
	$(INSTALL) -d $(ROOT_FS_DIR)/etc_ro_fs/rc1.d
	@if [ -n "$(2)" ]; then \
		ln -sf ../init.d/$(basename $(notdir $(1))) $(ROOT_FS_DIR)/etc_ro_fs/rc1.d/S$(2)$(basename $(notdir $(1))) ; \
	fi;
	@if [ -n "$(3)" ]; then \
		echo "$(INSTALL) -d $(ROOT_FS_DIR)/etc_ro_fs/rc6.d" ; \
		$(INSTALL) -d $(ROOT_FS_DIR)/etc_ro_fs/rc6.d ; \
		echo "ln -sf ../init.d/$(basename $(notdir $(1))) $(ROOT_FS_DIR)/etc_ro_fs/rc6.d/K$(3)$(basename $(notdir $(1)))" ; \
		ln -sf ../init.d/$(basename $(notdir $(1))) $(ROOT_FS_DIR)/etc_ro_fs/rc6.d/K$(3)$(basename $(notdir $(1))); \
	fi;
endef

define install_backuprestore
	$(INSTALL) -d $(STAGINGDIR)/usr/lib/hgwcfg/backup
	$(INSTALL) -d $(STAGINGDIR)/usr/lib/hgwcfg/restore
	ln -sf $(STAGINGDIR)/etc/init.d/$(basename $(notdir $(1))) $(STAGINGDIR)/usr/lib/hgwcfg/backup/B$(2)$(basename $(notdir $(1)))
	ln -sf $(STAGINGDIR)/etc/init.d/$(basename $(notdir $(1))) $(STAGINGDIR)/usr/lib/hgwcfg/restore/R$(2)$(basename $(notdir $(1)))
endef
define install_backuprestore_release
	$(INSTALL) -d $(ROOT_FS_DIR)/usr/lib/hgwcfg/backup
	$(INSTALL) -d $(ROOT_FS_DIR)/usr/lib/hgwcfg/restore
	ln -sf /etc/init.d/$(basename $(notdir $(1))) $(ROOT_FS_DIR)/usr/lib/hgwcfg/backup/B$(2)$(basename $(notdir $(1)))
	ln -sf /etc/init.d/$(basename $(notdir $(1))) $(ROOT_FS_DIR)/usr/lib/hgwcfg/restore/R$(2)$(basename $(notdir $(1)))
endef

define install_debuginfo
	$(INSTALL) -d $(STAGINGDIR)/usr/lib/debuginfo
	ln -sf $(STAGINGDIR)/etc/init.d/$(basename $(notdir $(1))) $(STAGINGDIR)/usr/lib/debuginfo/D$(2)$(basename $(notdir $(1)))
endef
define install_debuginfo_release
	$(INSTALL) -d $(ROOT_FS_DIR)/usr/lib/debuginfo
	ln -sf /etc/init.d/$(basename $(notdir $(1))) $(ROOT_FS_DIR)/usr/lib/debuginfo/D$(2)$(basename $(notdir $(1)))
endef

define install_config
	$(INSTALL) -D -m 0644 $(1) $(STAGINGDIR)/etc_ro_fs/$(notdir $(1))
endef

define install_config_release
	$(INSTALL) -D -m 0644 $(STAGINGDIR)/etc_ro_fs/$(notdir $(1)) $(ROOT_FS_DIR)/etc_ro_fs/$(notdir $(1))
endef
