define install_init
$(eval TARGETNAME=$(if $(CONFIG_BUILD_TYPE_STB),$(if $(findstring .sh,$(notdir $(1))),$(notdir $(1)),$(notdir $(1)).sh),$(basename $(notdir $(1)))))
	$(INSTALL) -D -m 0755 $(1) $(STAGINGDIR)/etc/init.d/$(TARGETNAME)
	$(INSTALL) -d $(STAGINGDIR)/etc/rc.d/rcS.d
	@if [ -n "$(2)" ]; then \
		ln -sf ../../init.d/$(TARGETNAME) $(STAGINGDIR)/etc/rc.d/rcS.d/S$(2)$(TARGETNAME) ; \
	fi;
	@if [ -n "$(3)" ]; then \
		echo "$(INSTALL) -d $(STAGINGDIR)/etc/rc6.d" ; \
		$(INSTALL) -d $(STAGINGDIR)/etc/rc6.d ; \
		echo "ln -sf ../../init.d/$(TARGETNAME) $(STAGINGDIR)/etc/rc6.d/K$(3)$(TARGETNAME)" ; \
		ln -sf ../../init.d/$(TARGETNAME) $(STAGINGDIR)/etc/rc6.d/K$(3)$(TARGETNAME); \
	fi;
endef
define install_init_release
$(eval TARGETNAME=$(if $(CONFIG_BUILD_TYPE_STB),$(if $(findstring .sh,$(notdir $(1))),$(notdir $(1)),$(notdir $(1)).sh),$(basename $(notdir $(1)))))
	$(INSTALL) -D -m 0755 $(STAGINGDIR)/etc/init.d/$(TARGETNAME) $(ROOT_FS_DIR)/etc/init.d/$(TARGETNAME)
	$(INSTALL) -d $(ROOT_FS_DIR)/etc/rc.d/rcS.d
	@if [ -n "$(2)" ]; then \
		ln -sf ../../init.d/$(TARGETNAME) $(ROOT_FS_DIR)/etc/rc.d/rcS.d/S$(2)$(TARGETNAME) ; \
	fi;
	@if [ -n "$(3)" ]; then \
		echo "$(INSTALL) -d $(ROOT_FS_DIR)/etc/rc6.d" ; \
		$(INSTALL) -d $(ROOT_FS_DIR)/etc/rc6.d ; \
		echo "ln -sf ../../init.d/$(TARGETNAME) $(ROOT_FS_DIR)/etc/rc6.d/K$(3)$(TARGETNAME)" ; \
		ln -sf ../../init.d/$(TARGETNAME) $(ROOT_FS_DIR)/etc/rc6.d/K$(3)$(TARGETNAME); \
	fi;
endef

define install_backuprestore
	$(INSTALL) -d $(STAGINGDIR)/usr/lib/hgwcfg/backup
	$(INSTALL) -d $(STAGINGDIR)/usr/lib/hgwcfg/restore
	ln -sf $(STAGINGDIR)/etc/init.d/$(basename $(notdir $(1))) $(STAGINGDIR)/usr/lib/hgwcfg/backup/B$(2)$(basename $(notdir $(1)))
	ln -sf $(STAGINGDIR)/etc/init.d/$(basename $(notdir $(1))) $(STAGINGDIR)/usr/lib/hgwcfg/restore/R$(2)$(basename $(notdir $(1)))
endef
define install_backuprestore_release
	$(INSTALL) -d $(ROOT_FS_DIR)/usr/lib/hgwcfg/backup
	$(INSTALL) -d $(ROOT_FS_DIR)/usr/lib/hgwcfg/restore
	ln -sf /etc/init.d/$(basename $(notdir $(1))) $(ROOT_FS_DIR)/usr/lib/hgwcfg/backup/B$(2)$(basename $(notdir $(1)))
	ln -sf /etc/init.d/$(basename $(notdir $(1))) $(ROOT_FS_DIR)/usr/lib/hgwcfg/restore/R$(2)$(basename $(notdir $(1)))
endef

define install_debuginfo
	$(INSTALL) -d $(STAGINGDIR)/usr/lib/debuginfo
	ln -sf $(STAGINGDIR)/etc/init.d/$(basename $(notdir $(1))) $(STAGINGDIR)/usr/lib/debuginfo/D$(2)$(basename $(notdir $(1)))
endef
define install_debuginfo_release
	$(INSTALL) -d $(ROOT_FS_DIR)/usr/lib/debuginfo
	ln -sf /etc/init.d/$(basename $(notdir $(1))) $(ROOT_FS_DIR)/usr/lib/debuginfo/D$(2)$(basename $(notdir $(1)))
endef

define install_config
	$(INSTALL) -D -m 0644 $(1) $(STAGINGDIR)/etc/$(notdir $(1))
endef

define install_config_release
	$(INSTALL) -D -m 0644 $(STAGINGDIR)/etc/$(notdir $(1)) $(ROOT_FS_DIR)/etc/$(notdir $(1))
endef

