our @proj_lines     = ();
our $new_cplst      = {};

sub open_proj {
    my $proj_file   = shift;
    our @proj_lines = readFile($proj_file);
}

sub update_proj {
    our @proj_lines;

    my $repo_name    = shift;
    my $repo_tag     = shift;

    my @newfile = ();
    foreach my $line (@proj_lines) {
        if ($line =~ /^(.*:)?$repo_name=.*$/) {
            $line = $1 . $repo_name. "=refs/tags/" . $repo_tag . "\n";
        } else {
            my $old_repo_name = $repo_name;
#            $repo_name  =~ s/-/_/g;
            if ($line =~ /^(.*:)?$repo_name=.*$/) {
                $line = $1 . $old_repo_name. "=refs/tags/" . $repo_tag . "\n";
            }
        }
        push(@newfile, $line);
    }
    @proj_lines = @newfile;
}

sub write_proj {
    our @proj_lines;
    my $proj_file   = shift;

    open FILE, "+>$proj_file" or die $!;
    print FILE @proj_lines;
    close FILE;
}

sub write_cp_lst {
    our $new_cplst;
    my  $fname   = shift;

    open FILE_LST, ">$fname" || die print "Unable to create file";
    foreach my $cp (sort keys $new_cplst) {
        my $buf = "$cp=g1:" . $new_cplst->{$cp};
        print FILE_LST "$buf\n";
    }
    close FILE_LST;
}

1;
