#!/bin/bash

if [ $1 ]; then
    i=$1
    sed -i 's/.*CONFIG_BUILD_MODE_DEBUG.*/CONFIG_BUILD_MODE_DEBUG=y/g' $i
    sed -i 's/.*CONFIG_BUILD_MODE_RELEASE.*/# CONFIG_BUILD_MODE_RELEASE is not set/g' $i
    sed -i 's/.*CONFIG_COMPONENTS_LIB_LIBGBUSBINDINGS.*/# CONFIG_COMPONENTS_LIB_LIBGBUSBINDINGS is not set/g' $i
    sed -i 's/.*CONFIG_COMPONENTS_LIB_LIBSAHCOL.*/# CONFIG_COMPONENTS_LIB_LIBSAHCOL is not set/g' $i
    sed -i 's/.*CONFIG_OPENSOURCE_BSTRING.*/# CONFIG_OPENSOURCE_BSTRING is not set/g' $i
    sed -i 's/.*CONFIG_OPENSOURCE_CPPUTEST.*/# CONFIG_OPENSOURCE_CPPUTEST is not set/g' $i
    sed -i 's/.*CONFIG_OPENSOURCE_XML2.*/# CONFIG_OPENSOURCE_XML2 is not set/g' $i
    sed -i 's/.*CONFIG_OPENSOURCE_JSONC.*/# CONFIG_OPENSOURCE_JSONC is not set/g' $i
    sed -i 's/.*CONFIG_OPENSOURCE_LUA.*/# CONFIG_OPENSOURCE_LUA is not set/g' $i
    sed -i 's/.*CONFIG_SAH_LIB_GBUS.*/# CONFIG_SAH_LIB_GBUS is not set/g' $i
    sed -i 's/.*CONFIG_VERSION_NAME_MAJOR=.*/CONFIG_VERSION_NAME_MAJOR=\"99.99.0\"/g' $i
    sed -i 's/.*CONFIG_BUILD_SPIN_NUMBER=.*/CONFIG_BUILD_SPIN_NUMBER=\"00\"/g' $i
else
    echo "Missing arguments"
    exit 1
fi
exit 0
