#!/bin/sh

cwd=$(pwd)

sed -n '/Extra Components\:/q;p' $1 > diff2.txt
sed '0,/Components\:/d' diff2.txt > diff3.txt

while read version1 dot side1 arrow version2 dot side2
do
  
  echo "version LOW = $version1"
  echo "version HIGH = $version2"
  cd $2
  $cwd/tools/upgrade.pl project.list $version1 $version2
  echo

done < diff3.txt

cd $cwd
rm diff3.txt
rm diff2.txt
