ifdef STAGINGDIR
include $(STAGINGDIR)/components.config
endif

AUTO_ARCHIVE=gettext-0.18.3.1.tar.bz2
AUTO_SRCPATH=gettext-0.18.3.1

AUTO_PATCHES=

# newer buildutils releases disable NLS by default
# explicitely force NLS in gettext so that libintl gets build
AUTO_CONF=--enable-nls
AUTO_RECONF=n
AUTO_RELEASE=\
	usr/lib/libintl.so.*

ifeq ($(AUTO_RECONF),y)
    AUTO_PATCHES += patches/build-only-libintl.autoreconf.patch
else
    AUTO_PATCHES += patches/build-only-libintl.conf.patch
endif

all:     auto_all
install: auto_install
release: auto_release
clean:   auto_clean

ifdef STAGINGDIR
include $(STAGINGDIR)/buildutils/auto.mk
include $(STAGINGDIR)/buildutils/pkgconfig.mk
endif

