
ifdef STAGINGDIR
include $(STAGINGDIR)/components.config
endif

AUTO_ARCHIVE=libiconv-1.13.tar.gz
AUTO_SRCPATH=libiconv-1.13
AUTO_PATCHES=patches/libiconv-1.13_reduction.patch \
             patches/libiconv-1.13_reconf.patch \
             patches/libiconv-libtool-1.5-compat.patch \
			 patches/libiconv-1.13_parallel_build.patch
AUTO_CONF=\
	--without-libintl-prefix

AUTO_RELEASE=usr/lib/libiconv.so*

all: auto_all
install: auto_install
release: auto_release
clean: auto_clean

# We need to patch the charsets after unpacking the sources
# TODO: Use Component.in to choose charsets?
auto_conf: iconv_charsets_prepare

iconv_charsets_prepare: auto_reconf
	-cd ./$(AUTO_SRCPATH) && $(MAKE) -f Makefile.devel \
		CONFIGURES= AUTOCONF=echo AUTOHEADER=echo ACLOCAL=echo

ifdef STAGINGDIR
include $(STAGINGDIR)/buildutils/auto.mk
endif

