ifdef STAGINGDIR
include $(STAGINGDIR)/components.config
endif
AUTO_ARCHIVE=ntfs-3g-2009.2.1.tgz
AUTO_SRCPATH=ntfs-3g-2009.2.1
AUTO_CONF=--disable-ldconfig 
AUTO_RELEASE=usr/lib/libntfs-3g.so* \
             lib/libntfs-3g.so* \
			 usr/bin/ntfs-3g.probe \
			 sbin/mount.ntfs-3g \
			 bin/ntfs-3g

AUTO_PATCHES = patches/no-host-lib-usrlib-check.patch \
	patches/create-lib-dir-in-dest.patch

all:     auto_all
install: auto_install
release: auto_release
clean: auto_clean

ifdef STAGINGDIR
include $(STAGINGDIR)/buildutils/auto.mk
endif

