#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <errno.h>
 
#define IOCTL_FORWARD(count, array) (_IOW('q', count, array))

int main()
{  
    int fds[4];
    fds[0] = fileno(stdin);
    fds[1] = fileno(stdout);
    unsigned int count = 2;
    
    int proxy;
    proxy = open("/dev/fdproxy", O_CLOEXEC);
    if(proxy < 0) {
        perror("Could not open /dev/fdproxy device");
    }
     
    int b = ioctl(proxy, IOCTL_FORWARD(count, fds), fds);
    if (b < 0) {
        perror("IOCTL_FORWARD done");
    }

    return 0;
}

