ifndef STAGINGDIR
  $(error STAGINGDIR not defined, stopping build)
endif

include $(STAGINGDIR)/components.config

OBJECTS = utils/connection_ssl.o \
          utils/peer_ssl.o \
          utils/process_ssl.o

TARGET = libpcb_ssl

CFLAGS += -DOPEN_SSL_SUPPORT

LIBS = openssl

LOCAL_LIBS = -L. -lpcb_utils -lrt

include Common.mk

clean:
	rm -f $(TARGET).so $(OBJECTS) $(TARGET).a
	rm -f utils/*.d
	rm -f utils/*.gcno
	rm -f utils/*.gcda
	rm -f *.gcov

.PHONY: all clean
