#ifndef _CFGFILE_H_
#define _CFGFILE_H_

#include <stdio.h>

struct cfg_file_writer
{
  FILE *fd_cupsd_conf;
  FILE *fd_printers_conf;
  const char *config_path;
  char       *hostname;
  const char *log_level;
  const char *request_root;
  const char *printer_name;
  const char *printer_uri;
  char       *interface_name;
  char       *ip_address;
  int log_size;
};

int cfg_initialize(struct cfg_file_writer *cw);
void cfg_release(struct cfg_file_writer *cw);
int cfg_write_cupsd_conf(struct cfg_file_writer *fw);
int cfg_write_printers_conf(struct cfg_file_writer *fw);

#endif

