include $(STAGINGDIR)/components.config

all:
	$(MAKE) -j1 -C kernel all
#	$(MAKE) -C user all

install:
	$(MAKE) -C kernel install
	$(MAKE) -C user install

release:
	$(MAKE) -C kernel release
	$(MAKE) -C user release

clean:
	$(MAKE) -C kernel clean
#	$(MAKE) -C user clean

build_package:
	$(MAKE) -f Component.mk release ROOT_FS_DIR=$(COMP_PACKAGE_DIR)

release_package:
	cp -af $(COMP_PACKAGE_DIR)/* $(ROOT_FS_DIR)


.PHONY: all install release clean doc
