
include $(STAGINGDIR)/sahcommon.mk

REL_SBINDIR=/usr/sbin
ifeq ($(CONFIG_STARTUP_ETC_RC_BASED),y)
ifeq ($(CONFIG_ETC_READONLY),y)
REL_CONFDIR=/etc/iproute2
else
REL_CONFDIR=/etc_ro_fs/iproute2
endif # end CONFIG_ETC_READONLY
else # set a default value
REL_CONFDIR=/etc_ro_fs/iproute2
endif # end else CONFIG_STARTUP_ETC_RC_BASED

all:
	make $(MFLAGS) PREFIX=$(STAGINGDIR) all


clean:
	make $(MFLAGS) PREFIX=$(STAGINGDIR) clean

install:
	make $(MFLAGS) PREFIX=$(STAGINGDIR) install
	$(INSTALL) -d $(STAGINGDIR)/bin
	$(INSTALL) script/6rd.sh $(STAGINGDIR)/bin

release:
	if [ ! -d $(ROOT_FS_DIR)$(REL_SBINDIR) ]; then $(INSTALL) -m 0755 -d $(ROOT_FS_DIR)$(REL_SBINDIR); fi
	if [ ! -d $(ROOT_FS_DIR)$(REL_CONFDIR) ]; then $(INSTALL) -m 0755 -d $(ROOT_FS_DIR)$(REL_CONFDIR); fi
	$(INSTALL) -m 0755 $(STAGINGDIR)/sbin/ip $(ROOT_FS_DIR)$(REL_SBINDIR)
	$(INSTALL) -m 0755 $(STAGINGDIR)/sbin/tc $(ROOT_FS_DIR)$(REL_SBINDIR)
	$(INSTALL) -d $(ROOT_FS_DIR)/bin
	$(INSTALL) -m 755 $(STAGINGDIR)/bin/6rd.sh $(ROOT_FS_DIR)/bin
	$(STRIP) $(ROOT_FS_DIR)$(REL_SBINDIR)/ip
	$(STRIP) $(ROOT_FS_DIR)$(REL_SBINDIR)/tc
	$(INSTALL) -m 0644 $(shell find $(STAGINGDIR)/etc/iproute2 -maxdepth 1 -type f ) $(ROOT_FS_DIR)$(REL_CONFDIR)

.EXPORT_ALL_VARIABLES:

.PHONY: all clean install release
