ifdef STAGINGDIR 
include $(STAGINGDIR)/components.config 
endif 

BINFILES := uptime tload free w \
            top vmstat skill \
            snice kill sysctl pmap \
            pgrep pkill slabtop \
            pwdx ps/ps

all:
	make SHARED=0 CC="$(CC)" CPPFLAGS="$(CFLAGS) -I$(STAGINGDIR)/usr/include" LDFLAGS="$(LDFLAGS) -L$(STAGINGDIR)/lib -L$(STAGINGDIR)/usr/lib" ps/ps
	make SHARED=0 CC="$(CC)" CPPFLAGS="$(CFLAGS) -I$(STAGINGDIR)/usr/include" LDFLAGS="$(LDFLAGS) -L$(STAGINGDIR)/lib -L$(STAGINGDIR)/usr/lib"

install:
	$(INSTALL) -d $(STAGINGDIR)/usr/lib/procps
	$(INSTALL) $(BINFILES) $(STAGINGDIR)/usr/lib/procps/

release:	
	$(INSTALL) -d $(ROOT_FS_DIR)/usr/lib/procps
	for f in $(notdir $(BINFILES)); do $(INSTALL) $(STAGINGDIR)/usr/lib/procps/$$f  $(ROOT_FS_DIR)/usr/lib/procps/$$f; done
	for f in $(notdir $(BINFILES)); do $(STRIP) $(ROOT_FS_DIR)/usr/lib/procps/$$f; done

clean:
	make clean

doc:

.PHONY: all install release clean doc ps/ps
