
ifdef STAGINGDIR
include $(STAGINGDIR)/components.config
endif

all:

install:
	install -d $(STAGINGDIR)/buildutils
	install auto.mk $(STAGINGDIR)/buildutils/
	install pkgconfig.mk $(STAGINGDIR)/buildutils/
	install -d $(STAGINGDIR)/buildutils/pkgconfig
	install -m 755 pkg-config $(STAGINGDIR)/buildutils/pkgconfig
	install -m 755 fixed-aclocal $(STAGINGDIR)/buildutils/fixed-aclocal
	install -m 755 sah-autoreconf $(STAGINGDIR)/buildutils/sah-autoreconf
	install simple.mk $(STAGINGDIR)/buildutils/
	install tmpdir.mk $(STAGINGDIR)/buildutils/
	install -d $(STAGINGDIR)/buildutils/mk/
	install -D mk/* $(STAGINGDIR)/buildutils/mk/
	install git.mk $(STAGINGDIR)/buildutils/
	install -d $(STAGINGDIR)/buildutils/git/
	install git/git-sah-archive $(STAGINGDIR)/buildutils/git/
	install git/git-sah-askpass $(STAGINGDIR)/buildutils/git/
	install git/git-sah-cache-credentials $(STAGINGDIR)/buildutils/git/
	install git/git-sah-get-credentials $(STAGINGDIR)/buildutils/git/
	touch $(STAGINGDIR)/buildutils/config.site.dummy
ifeq ($(CONFIG_SYSTEM_TOOLS_BUILDUTILS_GIT_AUTH),y)
# Make sure git credentials are available when git auth is enabled.
# Prompt if needed.
# This is done here in buildutils,
# to be run as early as possible during the build.
	$(STAGINGDIR)/buildutils/git/git-sah-cache-credentials
endif

release:

# Other components need those files to be able to call clean
clean: install
