#!/usr/bin/perl
use strict;
use SAH::WWW::Bugzilla;

sub getBugInfo {
    my $server_name = "bugzilla.softathome.com/bugzilla";
    my $bug_id =  shift;

    my $bz = WWW::Bugzilla->new(server => $server_name, 
            use_ssl => 1,
            email => $ENV{P_SCRIPT_LOGIN},
            password => $ENV{P_SCRIPT_PASSWD},
            bug_number => $bug_id,
            );

    print "Bugno: $bug_id -> " . $bz->{'summary'} . "\n";
    print "Product: " . $bz->product() . "\n";
    print "Fixed in version: " . $bz->{'fixedversion'} . "\n";
    print "Status: " . $bz->{'status'} . "\n";
    print "Milestone: " .  $bz->{'target_milestone'} . "\n";
    return ($bz->product(), $bz->{'target_milestone'}, $bz->{'fixedversion'}, $bz->{'status'});
}
1;
