#!/usr/bin/perl
use v5.14.1;
use strict;

our $configs     = {};
our $components  = {};

my $home_dir = '/home/sah5056/ws_w1/config';

my @project     = (
       '/home/sah5056/ws_w1/config/GEN/V6.1/PROJ/TELSTRA/MAIN/telstra/nextgen/siligence-cut2/telstra_multi_sip_normal_pkg/project.list',
       '/home/sah5056/ws_w1/config/GEN/V6.1/PROJ/SWISSCOM/MAIN/swisscom/starlink/askey-starlink/swisscom_multi_sip_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V6.1/PROJ/SWISSCOM/MAIN/swisscom/starlink/askey-starlink/swisscom_multi_sip_normal_com/project.list',
       '/home/sah5056/ws_w1/config/GEN/V6.1/PROJ/SWISSCOM/MAIN/swisscom/stargate/marvell/sah_multi_none_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V6.1/PROJ/SWISSCOM/MAIN/swisscom/stargate/siligence-cut2/swisscom_multi_sip_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V6.1/PROJ/SWISSCOM/MAIN/swisscom/stargate/siligence-cut2/swisscom_multi_sip_normal_com/project.list',
       '/home/sah5056/ws_w1/config/GEN/V6.1/PROJ/SWISSCOM/MAIN/swisscom/starlite/arcadyan-starlite/swisscom_multi_sip_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V6.1/PROJ/SWISSCOM/MAIN/swisscom/starlite/arcadyan-starlite/swisscom_multi_sip_normal_com/project.list',
       '/home/sah5056/ws_w1/config/GEN/V6.1/PROJ/IKANOS/MAIN/ikanos/ikanos-bsp8.5/vx183-gigabyte/ikanos_multi_sip_normal_pkg/project.list',
       '/home/sah5056/ws_w1/config/GEN/V5.2/PROJ/WINGO/MAIN/wingo/panda/siligence-cut2/wingo_multi_sip_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V5.2/PROJ/WINGO/MAIN/wingo/panda/siligence-cut2/wingo_multi_sip_normal_com/project.list',
       '/home/sah5056/ws_w1/config/GEN/V5.2/PROJ/FT_STEP5/MAIN/ft/fbv2pl/sagem-fast5350/ft_multi_sip_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V5.2/PROJ/FT_STEP5/MAIN/ft/lbv3fr/sagem_lbv3/ft_multi_siph323_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V5.2/PROJ/FT_STEP5/MAIN/ft/lbv2fr/sagem_ftthv2/ft_multi_siph323_rescue/project.list',
       '/home/sah5056/ws_w1/config/GEN/V5.2/PROJ/FT_STEP5/MAIN/ft/lbv2fr/sagem_ftthv2/ft_multi_siph323_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V5.2/PROJ/FT_STEP5/MAIN/ft/lbv2fr/zte_h202n/ft_multi_siph323_rescue/project.list',
       '/home/sah5056/ws_w1/config/GEN/V5.2/PROJ/FT_STEP5/MAIN/ft/lbv2fr/zte_h202n/ft_multi_siph323_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V5.2/PROJ/FT_STEP5/MAIN/ft/fbv1pl/sagem-fast5310/ft_multi_sip_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V5.2/PROJ/FT_STEP5/MAIN/ft/lbv3pl/zte-h368n/ft_multi_sip_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V5.2/PROJ/FT_STEP5/MAIN/ft/lbv2pl/zte_h202n/ft_multi_sip_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V5.2/PROJ/FT_STEP5/MAIN/ft/lbv2pl/zte_h202n/ft_multi_sip_rescue/project.list',
       '/home/sah5056/ws_w1/config/GEN/V5.2/PROJ/SWISSCOM/MAIN/swisscom/stargate/siligence-cut2/swisscom_multi_sip_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V5.2/PROJ/SWISSCOM/MAIN/swisscom/stargate/siligence-cut2/swisscom_multi_sip_normal_com/project.list',
       '/home/sah5056/ws_w1/config/GEN/V7.0/PROJ/FT/MAIN/ft/mib4/sagem-mib4/ft_multi_sip_normal_mediahub/project.list',
       '/home/sah5056/ws_w1/config/GEN/V7.0/PROJ/FT/MAIN/ft/mib4/sagem-mib4/ft_multi_sip_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V4.6/PROJ/FT_STEP4/MAIN/ft/lbv3fr/sagem_lbv3/ft_multi_siph323_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V4.6/PROJ/FT_STEP4/MAIN/ft/lbv3fr/zte-h368n/ft_multi_siph323_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V4.6/PROJ/FT_STEP4/MAIN/ft/lbv2fr/sagem_ftthv2/ft_multi_siph323_rescue/project.list',
       '/home/sah5056/ws_w1/config/GEN/V4.6/PROJ/FT_STEP4/MAIN/ft/lbv2fr/sagem_ftthv2/ft_multi_siph323_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V4.6/PROJ/FT_STEP4/MAIN/ft/lbv2fr/zte_h202n/ft_multi_siph323_rescue/project.list',
       '/home/sah5056/ws_w1/config/GEN/V4.6/PROJ/FT_STEP4/MAIN/ft/lbv2fr/zte_h202n/ft_multi_siph323_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V4.6/PROJ/FT_STEP4/MAIN/ft/lbv3pl/zte-h368n/ft_multi_sip_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V4.6/PROJ/FT_STEP4/MAIN/ft/lbv2pl/zte_h202n/ft_multi_sip_normal/project.list',
       '/home/sah5056/ws_w1/config/GEN/V4.6/PROJ/FT_STEP4/MAIN/ft/lbv2pl/zte_h202n/ft_multi_sip_rescue/project.list',);

foreach my $file (sort(@project)) {
    if ($file =~ /^.*\/config\/(.*)\/project\.list$/) {
        my $name = $1;
        parseConfig($name,  $file);
    }
}

#printConfigs();
printComponents();

exit 0;

sub parseConfig {
    my $fh;
    my $name = shift;
    my $file = shift;
    open($fh, "cat $file |");
    while (!eof($fh)) {
        my $line = <$fh>;
        parseLine($name, $line);
    }
    close $fh;
}

sub printConfigs {
    our $configs;
    my $config;
    my $cp;
    my $version;

    print "Configs:\n";
    foreach $config (sort keys $configs) {
        foreach $cp (sort keys $configs->{$config}) {
            $version = $configs->{$config}->{$cp};
            print "$config : $cp = $version\n";
        }
    } 
}

sub printComponents {
    my $arr = {};

    print "Components:\n";
    foreach my $component (sort keys $components) {
        $arr->{$component}->{'is_branched'} = 0;
        foreach my $config (sort keys $components->{$component}) {
            my $version = $components->{$component}->{$config};
            if ($version =~ /^(.*)\/REL\/.*$/) {
                my $base = $1;
                $arr->{$component}->{$config} = $base;
                $arr->{$component}->{'is_branched'} = 1;
            } else {
                if ($version =~ /^.*\/master_[v|V].*$/) {
                    $arr->{$component}->{$config} = "not branched";
                } elsif ($version =~ /^REL\/.*$/) {
                    $arr->{$component}->{$config} = "not branched";
                } 
            }
        }
    } 
    foreach my $component (sort keys $arr) {
        if ($arr->{$component}->{'is_branched'} == 1) {
            print "Component: $component\n";
            foreach my $config (sort keys $arr->{$component}) {
                my $version = $arr->{$component}->{$config};
                if ($version ne "not branched") {
                    print "\t$config: $version\n";
                }
            }
        }
    }
}

sub parseLine {
    our $configs;
    my $name = shift;
    my $line = shift;
    my $cp;
    my $version;
    if ($line =~ /^#.*$/) {
        return;
    } elsif ($line =~ /^:?(.*)=(.*)$/) {
        $cp         = $1;
        $version    = $2;
        if ($cp =~ /:(.*)/) {
            $cp = $1;
        }

        $configs->{$name}->{$cp} = $version;
        $components->{$cp}->{$name} = $version;
    }
}
