/*
 * Copyright (c) 2011 SoftAtHome
 *
 * The information and source code contained herein is the exclusive
 * property of SoftAtHome and may not be disclosed, examined, or
 * reproduced in whole or in part without explicit written authorization
 * of the copyright owner.
 *
 */
#ifndef __NETDEV_COMMON_API_H__
#define __NETDEV_COMMON_API_H__

/**
@ingroup netdev
@{
*/
#include <nemo/client/netdev.h>

/**
@deprecated
Use nemo_getAddrs() instead.
*/
static inline variant_list_t *netdev_getAddrs(const char *intf, const char *flag, const char *traverse) {
	return nemo_getAddrs(intf, flag, traverse);
}

/**
@deprecated
Use nemo_luckyAddrs() instead.
*/
static inline variant_map_t *netdev_luckyAddr(const char *intf, const char *flag, const char *traverse) {
	return nemo_luckyAddr(intf, flag, traverse);
}

/**
@deprecated
Use nemo_luckyAddrAddress() instead.
*/
static inline char *netdev_luckyAddrAddress(const char *intf, const char *flag, const char *traverse) {
	return nemo_luckyAddrAddress(intf, flag, traverse);
}

/**
@deprecated
Use nemo_openQuery_getAddrs() instead.
*/
static inline nemo_query_t *netdev_openQuery_getAddrs(const char *intf, const char *subscriber, const char *flag,
                                                    const char *traverse, nemo_result_handler_t handler, void *userdata) {
	return nemo_openQuery_getAddrs(intf, subscriber, flag, traverse, handler, userdata);
}

/**
@deprecated
Use nemo_openQuery_luckyAddr() instead.
*/
static inline nemo_query_t *netdev_openQuery_luckyAddr(const char *intf, const char *subscriber, const char *flag,
                                                    const char *traverse, nemo_result_handler_t handler, void *userdata) {
	return nemo_openQuery_luckyAddr(intf, subscriber, flag, traverse, handler, userdata);
}

/**
@deprecated
Use nemo_openQuery_luckyAddrAddress() instead.
*/
static inline nemo_query_t *netdev_openQuery_luckyAddrAddress(const char *intf, const char *subscriber, const char *flag,
                                                    const char *traverse, nemo_result_handler_t handler, void *userdata) {
	return nemo_openQuery_luckyAddrAddress(intf, subscriber, flag, traverse, handler, userdata);
}

/**
@}
*/

#endif
