include $(STAGINGDIR)/components.config
export

-include .config

quote := "
empty :=

conf_sah_file_exist := $(wildcard $(STAGINGDIR)/config/busybox.conf)

all:
ifeq ($(conf_sah_file_exist),)
	cp scripts/defconfig $(STAGINGDIR)/config/busybox.conf
endif
	make defconfig
	make all

clean:
	make clean

install:
	make install

release:
	make release
ifeq ($(CONFIG_APP_UDHCPC),y)
ifneq ($(CONFIG_UDHCPC_DEFAULT_SCRIPT),)
	$(INSTALL) -d $(ROOT_FS_DIR)$(dir $(subst $(quote),$(empty),$(CONFIG_UDHCPC_DEFAULT_SCRIPT)))
	$(INSTALL) -m 0755 examples/udhcp/simple.script $(ROOT_FS_DIR)$(subst $(quote),$(empty),$(CONFIG_UDHCPC_DEFAULT_SCRIPT))
endif
endif

build_package:
	make -f Component.mk release ROOT_FS_DIR=$(COMP_PACKAGE_DIR)

release_package:
	cp -af $(COMP_PACKAGE_DIR)/* $(ROOT_FS_DIR)

.PHONY: all clean release install build_package release_package
