#ifndef _CUPSD_H_
#define _CUPSD_H_

#include <sys/types.h>
#include <time.h>

struct cups
{
  pid_t cupsPid;
  time_t started_at;
  unsigned short start_count;
  const char *cups;
};

int cups_initialize(struct cups *);
int cups_release(struct cups *);
int cups_is_running(struct cups *);
int cups_is_disabled(struct cups *);
int cups_start(struct cups *, const char *config_path);
int cups_stop(struct cups *);
int cups_reload(struct cups *);

#endif

